SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
FROM 
	WEDGE_CS_STRAN as Z
	Left Outer Join WEDGE_CS_DECISION_TABLE as A on ( CHAR( A.SERVER_TRAN_ID ) = CHAR(Z.ID) )
	Left Outer Join WEDGE_CS_DECISION_TYPE as B on ( CHAR( B.DECISION_TABLE_ID ) = CHAR(A.ID) )
	Left Outer Join WEDGE_CS_DECISION_DLCP as C on ( CHAR( C.DECISION_TYPE_ID ) = CHAR(B.ID) )
WHERE 
	CHAR( C.SRULE_ID ) = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
