SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	COUNT(Z.ID) as "count"
FROM 
	WEDGE_BAT_SUB as Z
	Inner Join WEDGE_BAT_CALL_STRAN as B on ( CHAR( B.BATCH_SUB_ID ) = CHAR(Z.ID) )
	Inner Join WEDGE_CS_SERVERSUB as A on ( CHAR( A.PHYSICAL_NAME ) = CHAR(B.CALL_SERVERSUB_PNAME) and CHAR( A.ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
