SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME
FROM 
	WEDGE_CS_FRAME as A
	Inner Join WEDGE_CS_CTRAN as B on ( CHAR( B.FRAME_ID ) = CHAR(A.ID) )
	Inner Join WEDGE_CS_STRAN as C on ( CHAR( C.PHYSICAL_NAME ) = CHAR(B.STRAN_PNAME) and CHAR( C.ID ) = ? )
ORDER BY 
	A.PHYSICAL_NAME, 
	B.PHYSICAL_NAME
