SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE, 
	count(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME as Z
	Inner Join WEDGE_CS_ITEM as A on ( CHAR( A.FRAME_ID ) = CHAR(Z.ID) and CHAR( A.DATA_D_ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
