SELECT 
	Z.DATA_D_ID as "id", 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.LOGICAL_NAME as "type", 
	B.LENGTH, 
	B.SCALE, 
	B.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "omit", 
	B.ENUM, 
	B.MINIMUM, 
	B.MAXIMUM
FROM 
	WEDGE_DAT_RECORD_D as Z
	Inner Join WEDGE_DAT_DATA_D as A on ( CHAR( A.ID ) = CHAR(Z.DATA_D_ID) )
	Inner Join WEDGE_DAT_DATA_H as B on ( CHAR( B.ID ) = CHAR(A.HID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(B.OMIT) and CHAR( C.SEARCH_STRING ) = 'OMIT' )
	Left Outer Join WEDGE_DATA_CLASS as D on ( CHAR( D.ID ) = CHAR(B.TYPE) )
WHERE 
	CHAR( Z.HID ) = ?
ORDER BY 
	Z.LINE
