SELECT 
	Z.DATA_D_ID as "id", 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.LOGICAL_NAME as "type", 
	B.LENGTH, 
	B.SCALE, 
	B.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "omit", 
	B.ENUM, 
	B.MINIMUM, 
	B.MAXIMUM
FROM 
	WEDGE_DAT_RECORD_D as Z
	Inner Join WEDGE_DAT_TABLE_H as X on ( CHAR( X.RECORD_H_ID ) = CHAR(Z.HID) and CHAR( X.ID ) = ? )
	Left Outer Join WEDGE_DAT_DATA_D as A on ( CHAR( A.ID ) = CHAR(Z.DATA_D_ID) )
	Left Outer Join WEDGE_DAT_DATA_H as B on ( CHAR( B.ID ) = CHAR(A.HID) )
	Left Outer Join WEDGE_DATA_CLASS as E on ( CHAR( E.ID ) = CHAR(B.TYPE) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(B.OMIT) and CHAR( C.SEARCH_STRING ) = 'TRUE_OR_FALSE' )
	Left Outer Join WEDGE_NAME as D on ( CHAR( D.VALUE ) = CHAR(E.DATA_TYPE) and CHAR( D.SEARCH_STRING ) = 'DATA_TYPE' )
ORDER BY 
	Z.LINE
