SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.LOGICAL_NAME || '(' || A.PHYSICAL_NAME || ')' as "batch_tran_type", 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE, 
	Z.REVISION, 
	Z.COMPILED
FROM 
	WEDGE_BAT_SUB as Z
	Left Outer Join WEDGE_NAME as A on ( CHAR( A.VALUE ) = CHAR(Z.BATCH_TRAN_TYPE) and CHAR( A.SEARCH_STRING ) = 'BATCH_PATTERN_TYPE' )
WHERE 
	CHAR( Z.ID ) = ?
