SELECT 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME, 
	COUNT(G.ID) as "count"
FROM 
	WEDGE_BAT_CALL_STRAN as Z
	Inner Join WEDGE_CS_SERVERSUB AS A ON ( A.PHYSICAL_NAME = Z.CALL_SERVERSUB_PNAME  )
	Inner Join WEDGE_CS_STRAN AS B ON ( B.SERVERSUB_ID = A.ID  AND B.PHYSICAL_NAME = Z.CALL_STRAN_PNAME  )
	Inner Join WEDGE_CS_DECISION_TABLE AS C ON ( C.SERVERSUB_ID = A.ID  AND C.SERVER_TRAN_ID = B.ID  )
	Inner Join WEDGE_CS_DECISION_TYPE AS D ON ( D.SERVERSUB_ID = A.ID  AND D.DECISION_TABLE_ID = C.ID  )
	Inner Join WEDGE_CS_DECISION_DLCP AS E ON ( E.SERVERSUB_ID = A.ID  AND E.DECISION_TYPE_ID = D.ID  )
	Inner Join WEDGE_CS_DLCP AS F ON ( F.SERVERSUB_ID = A.ID  AND F.ID = E.DC_ID  )
	Inner Join WEDGE_DAT_DLCP_H AS G ON ( G.ID = F.DLCP_ID  AND G.COMM_ID = 256  )
	Inner Join WEDGE_DAT_TABLE_H AS H ON ( H.ID = G.TABLE_H_ID  )
	Inner Join WEDGE_DLCP AS I ON ( I.ID = G.COMM_ID  )
WHERE 
	Z.BATCH_SUB_ID = ?
GROUP BY 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME
ORDER BY 
	H.PHYSICAL_NAME
