SELECT 
	Z.SERVERSUB_ID, 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO
FROM 
	WEDGE_CS_CALL_STRAN "Z", 
	WEDGE_CS_SERVERSUB "A", 
	WEDGE_CS_STRAN "B"
WHERE 
	Z.ID = ? AND 
	A.PHYSICAL_NAME = Z.CALL_SERVERSUB_PNAME AND 
	B.SERVERSUB_ID = A.ID AND 
	B.PHYSICAL_NAME = Z.CALL_STRAN_PNAME
