SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "ITEM_TYPE"
FROM 
	WEDGE_CS_STRAN_IN_RECORD "A", 
	WEDGE_CS_SERVERDATA "B", 
	WEDGE_NAME "C"
WHERE 
	A.SERVERTRANSACTION_ID = ? AND 
	B.ID = A.SERVERDATA_ID AND 
	C.VALUE (+)= B.ITEM_TYPE AND 
	C.SEARCH_STRING (+)= 'ITEM_TYPE'
ORDER BY 
	A.LINE
