SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "readonly", 
	D.PHYSICAL_NAME as "insertmenu", 
	E.PHYSICAL_NAME as "copymenu", 
	F.PHYSICAL_NAME as "deletemenu", 
	G.PHYSICAL_NAME as "movemenu", 
	H.PHYSICAL_NAME as "rowreversal", 
	A.ROWHEIGHT, 
	I.PHYSICAL_NAME as "resizemode", 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_CS_TABLE_H "A", 
	WEDGE_CS_COMPONENT "B", 
	WEDGE_NAME "C", 
	WEDGE_NAME "D", 
	WEDGE_NAME "E", 
	WEDGE_NAME "F", 
	WEDGE_NAME "G", 
	WEDGE_NAME "H", 
	WEDGE_NAME "I"
WHERE 
	A.ID = ? AND 
	B.ID (+)= A.COMPONENT_ID AND 
	C.VALUE (+)= A.READONLY AND 
	C.SEARCH_STRING (+)= 'ONOFF' AND 
	D.VALUE (+)= A.INSERTMENU AND 
	D.SEARCH_STRING (+)= 'ONOFF' AND 
	E.VALUE (+)= A.COPYMENU AND 
	E.SEARCH_STRING (+)= 'ONOFF' AND 
	F.VALUE (+)= A.DELETEMENU AND 
	F.SEARCH_STRING (+)= 'ONOFF' AND 
	G.VALUE (+)= A.MOVEMENU AND 
	G.SEARCH_STRING (+)= 'ONOFF' AND 
	H.VALUE (+)= A.ROWREVERSAL AND 
	H.SEARCH_STRING (+)= 'ONOFF' AND 
	I.VALUE (+)= A.RESIZEMODE AND 
	I.SEARCH_STRING (+)= 'COLUMN_RESIZEMODE'
