SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	count(A.ID) as "count"
FROM 
	WEDGE_BAT_SUB "Z", 
	WEDGE_BAT_DATA "A"
WHERE 
	A.BATCH_SUB_ID = Z.ID AND 
	A.DATA_D_ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
