SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.LENGTH, 
	Z.SCALE, 
	Z.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "OMIT", 
	Z.ENUM, 
	Z.MINIMUM, 
	Z.MAXIMUM, 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE
FROM 
	WEDGE_DAT_DATA_H "Z", 
	WEDGE_DATA_CLASS "B", 
	WEDGE_NAME "C"
WHERE 
	B.ID (+)= Z.TYPE AND 
	C.VALUE (+)= Z.OMIT AND 
	C.SEARCH_STRING (+)= 'TRUE_OR_FALSE'
ORDER BY 
	Z.PHYSICAL_NAME
