SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	count(A.ID) as "count"
FROM 
	WEDGE_BAT_SUB "Z", 
	WEDGE_BAT_DLCP "A"
WHERE 
	A.BATCH_SUB_ID = Z.ID AND 
	A.DLCP_ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
