SELECT 
	Z.DATA_D_ID as "id", 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.LOGICAL_NAME as "type", 
	B.LENGTH, 
	B.SCALE, 
	B.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "omit", 
	B.ENUM, 
	B.MINIMUM, 
	B.MAXIMUM
FROM 
	WEDGE_DAT_RECORD_D "Z", 
	WEDGE_DAT_DATA_D "A", 
	WEDGE_DAT_DATA_H "B", 
	WEDGE_NAME "C", 
	WEDGE_DATA_CLASS "D"
WHERE 
	Z.HID = ? AND 
	A.ID = Z.DATA_D_ID AND 
	B.ID = A.HID AND 
	C.VALUE (+)= B.OMIT AND 
	C.SEARCH_STRING (+)= 'OMIT' AND 
	D.ID (+)= B.TYPE
ORDER BY 
	Z.LINE
