SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
FROM 
	WEDGE_BAT_TRAN "Z", 
	WEDGE_BAT_DECISION_TABLE "A", 
	WEDGE_BAT_DECISION_TYPE "B", 
	WEDGE_BAT_DECISION_DLCP "C"
WHERE 
	C.DC_ID = ? AND 
	A.SERVER_TRAN_ID (+)= Z.ID AND 
	B.DECISION_TABLE_ID (+)= A.ID AND 
	C.DECISION_TYPE_ID (+)= B.ID
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
