SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_BAT_RULE_OUT_RECORD "A", 
	WEDGE_BAT_DATA "B", 
	WEDGE_NAME "C"
WHERE 
	A.BATCH_RULE_ID = ? AND 
	B.ID (+)= A.BATCH_DATA_ID AND 
	C.VALUE (+)= B.ITEM_TYPE AND 
	C.SEARCH_STRING (+)= 'ITEM_TYPE'
ORDER BY 
	A.LINE
