SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.PHYSICAL_NAME as "frame_type", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	A.TITLE, 
	A.WIDTH, 
	A.HEIGHT, 
	A.COMPILED, 
	A.OMIT_BACKCOLOR, 
	G.PHYSICAL_NAME as "omit_backcolor_timing", 
	H.PHYSICAL_NAME as "statusbar_position", 
	A.STATUSBAR_FORECOLOR, 
	A.STATUSBAR_BACKCOLOR, 
	A.IMAGE_PATH, 
	K.PHYSICAL_NAME as "save_contents", 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE, 
	A.REVISION
FROM 
	WEDGE_CS_FRAME as A
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'FRAME_TYPE' ) AS B ON ( B.VALUE = A.FRAME_TYPE  )
	Left Outer Join WEDGE_PRJ_MENU_H AS C ON ( C.ID = A.MENU_H_ID  )
	Left Outer Join WEDGE_PRJ_TOOLBAR_H AS D ON ( D.ID = A.TOOLBAR_H_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'OMIT_BACKCOLOR_TIMING' ) AS G ON ( G.VALUE = A.OMIT_BACKCOLOR_TIMING  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'STATUSBAR_POSITION' ) AS H ON ( H.VALUE = A.STATUSBAR_POSITION  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CLOSE_OPERATION' ) AS K ON ( K.VALUE = A.SAVE_CONTENTS  )
WHERE 
	A.ID = ?
