SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.PHYSICAL_NAME as "item_type", 
	E.PHYSICAL_NAME as "default_check", 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	G.ID, 
	G.LOGICAL_NAME, 
	G.PHYSICAL_NAME
FROM 
	WEDGE_CS_ITEM as A
	Left Outer Join WEDGE_CS_COMPONENT AS B ON ( B.ID = A.COMPONENT_ID  )
	Left Outer Join WEDGE_DAT_DATA_D AS C ON ( C.ID = A.DATA_D_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ITEM_TYPE' ) AS D ON ( D.VALUE = A.ITEM_TYPE  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS E ON ( E.VALUE = A.DEFAULT_CHECK  )
	Left Outer Join WEDGE_PRJ_MENU_D AS F ON ( F.ID = A.MENU_D_ID  )
	Left Outer Join WEDGE_PRJ_TOOLBAR_D AS G ON ( G.ID = A.TOOLBAR_D_ID  )
WHERE 
	A.ID = ?
