SELECT 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME, 
	COUNT(G.ID) as "count"
FROM 
	WEDGE_CS_STRAN as Z
	Inner Join WEDGE_CS_DECISION_TABLE AS C ON ( C.SERVERSUB_ID = Z.SERVERSUB_ID  AND C.SERVER_TRAN_ID = Z.ID  )
	Inner Join WEDGE_CS_DECISION_TYPE AS D ON ( D.SERVERSUB_ID = Z.SERVERSUB_ID  AND D.DECISION_TABLE_ID = C.ID  )
	Inner Join WEDGE_CS_DECISION_DLCP AS E ON ( E.SERVERSUB_ID = Z.SERVERSUB_ID  AND E.DECISION_TYPE_ID = D.ID  )
	Inner Join WEDGE_CS_DLCP AS F ON ( F.SERVERSUB_ID = Z.SERVERSUB_ID  AND F.ID = E.DC_ID  )
	Inner Join WEDGE_DAT_DLCP_H AS G ON ( G.ID = F.DLCP_ID  AND G.COMM_ID = 257  )
	Inner Join WEDGE_DAT_TABLE_H AS H ON ( H.ID = G.TABLE_H_ID  )
	Inner Join WEDGE_DLCP AS I ON ( I.ID = G.COMM_ID  )
WHERE 
	Z.ID = ?
GROUP BY 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME
ORDER BY 
	H.PHYSICAL_NAME
