SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	A.TEXT, 
	A.COLUMNWIDTH, 
	C.PHYSICAL_NAME as "visible", 
	D.PHYSICAL_NAME as "editable", 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME
FROM 
	WEDGE_CS_TABLE_D as A
	Inner Join WEDGE_CS_ITEM AS B ON ( B.ID = A.ITEM_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CLIENT_TABLE_VISIBLE' ) AS C ON ( C.VALUE = A.VISIBLE  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'TRUE_OR_FALSE' ) AS D ON ( D.VALUE = A.EDITABLE  )
	Left Outer Join WEDGE_BASE AS E ON ( E.ID = A.CELLRENDERER  )
	Left Outer Join WEDGE_BASE AS F ON ( F.ID = A.CELLEDITOR  )
WHERE 
	A.HID = ?
ORDER BY 
	A.LINE
