SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
FROM 
	WEDGE_BAT_TRAN as Z
	Left Outer Join WEDGE_BAT_DECISION_TABLE AS A ON ( A.SERVER_TRAN_ID = Z.ID  )
	Left Outer Join WEDGE_BAT_DECISION_TYPE AS B ON ( B.DECISION_TABLE_ID = A.ID  )
	Left Outer Join WEDGE_BAT_DECISION_DLCP AS C ON ( C.DECISION_TYPE_ID = B.ID  )
WHERE 
	C.SRULE_ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
