SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO
FROM 
	WEDGE_CS_CRULE as Z
	Inner Join WEDGE_CS_FRAME as A on ( CHAR( A.PHYSICAL_NAME ) = CHAR(Z.ADAPTER_PNAME) and CHAR( A.ID ) = ? )
	Inner Join WEDGE_CS_FRAME as B on ( CHAR( B.ID ) = CHAR(Z.FRAME_ID) )
WHERE 
	CHAR( Z.TYPE ) = '2'
ORDER BY 
	B.PHYSICAL_NAME
