SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	count(A.ID) as "count"
FROM 
	WEDGE_BAT_SUB as Z
	Inner Join WEDGE_BAT_DATA as A on ( CHAR( A.BATCH_SUB_ID ) = CHAR(Z.ID) and CHAR( A.DATA_D_ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
