SELECT 
	Z.ID, 
	A.PHYSICAL_NAME as "user_agent", 
	B.PHYSICAL_NAME as "mime_type", 
	C.PHYSICAL_NAME as "charset", 
	Z.MEMO
FROM 
	WEDGE_CS_HTML_D as Z
	Left Outer Join WEDGE_HTML_USER_AGENT as A on ( CHAR( A.ID ) = CHAR(Z.USER_AGENT) )
	Left Outer Join WEDGE_NAME as B on ( CHAR( B.VALUE ) = CHAR(Z.MIME_TYPE) and CHAR( B.SEARCH_STRING ) = 'MIME_TYPE' )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(Z.CHARSET) and CHAR( C.SEARCH_STRING ) = 'CHARSET' )
WHERE 
	CHAR( Z.HID ) = ?
ORDER BY 
	Z.LINE
