SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.FRAME_TYPE, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_CS_FRAME as Z
	Inner Join WEDGE_CS_CRULE as A on ( CHAR( A.FRAME_ID ) = CHAR(Z.ID) and CHAR( A.BASECLASS_ID ) = ? )
ORDER BY 
	Z.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
