SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	D.CALL_SERVERSUB_PNAME, 
	D.CALL_STRAN_PNAME, 
	D.REVISION, 
	E.PHYSICAL_NAME as "user_error", 
	A.ENABLE
FROM 
	WEDGE_BAT_DECISION_DLCP as A
	Left Outer Join WEDGE_BAT_DLCP as B on ( CHAR( B.ID ) = CHAR(A.DC_ID) )
	Left Outer Join WEDGE_BAT_RULE as C on ( CHAR( C.ID ) = CHAR(A.SRULE_ID) )
	Left Outer Join WEDGE_BAT_CALL_STRAN as D on ( CHAR( D.ID ) = CHAR(A.CALL_STRAN_ID) )
	Left Outer Join WEDGE_NAME as E on ( CHAR( E.VALUE ) = CHAR(A.USER_ERROR) and CHAR( E.SEARCH_STRING ) = 'USER_ERROR' )
WHERE 
	CHAR( A.DECISION_TYPE_ID ) = ?
ORDER BY 
	A.LINE
