SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_CS_CALL_STRAN_OUT_RECORD as A
	Inner Join WEDGE_CS_SERVERDATA AS B ON ( B.ID = A.SERVERDATA_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ITEM_TYPE' ) AS C ON ( C.VALUE = B.ITEM_TYPE  )
WHERE 
	A.CALL_STRAN_ID = ?
ORDER BY 
	A.LINE
