SELECT 
	Z.DATA_D_ID as "id", 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.LOGICAL_NAME as "type", 
	B.LENGTH, 
	B.SCALE, 
	B.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "omit", 
	B.ENUM, 
	B.MINIMUM, 
	B.MAXIMUM
FROM 
	WEDGE_DAT_RECORD_D as Z
	Inner Join WEDGE_DAT_DATA_D AS A ON ( A.ID = Z.DATA_D_ID  )
	Inner Join WEDGE_DAT_DATA_H AS B ON ( B.ID = A.HID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'OMIT' ) AS C ON ( C.VALUE = B.OMIT  )
	Left Outer Join WEDGE_DATA_CLASS AS D ON ( D.ID = B.TYPE  )
WHERE 
	Z.HID = ?
ORDER BY 
	Z.LINE
