SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.RECORD_H_ID, 
	C.PHYSICAL_NAME as "connection_db", 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_DAT_TABLE_H as A
	Inner Join WEDGE_DAT_RECORD_H AS B ON ( B.ID = A.RECORD_H_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CONNECTION_DB' ) AS C ON ( C.VALUE = A.CONNECTION_DB  )
WHERE 
	A.ID = ?
ORDER BY 
	A.PHYSICAL_NAME
