SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_BAT_CALL_STRAN "A", 
	WEDGE_BAT_SUB "B", 
	WEDGE_CS_STRAN "C", 
	WEDGE_CS_SERVERSUB "D"
WHERE 
	B.ID = A.BATCH_SUB_ID AND 
	C.PHYSICAL_NAME = A.CALL_STRAN_PNAME AND 
	C.ID = ? AND 
	D.ID = C.SERVERSUB_ID AND 
	D.PHYSICAL_NAME = A.CALL_SERVERSUB_PNAME
ORDER BY 
	B.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
