SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.PHYSICAL_NAME as "decision_execute_type"
FROM 
	WEDGE_CS_DECISION_TYPE "A", 
	WEDGE_NAME "B"
WHERE 
	A.DECISION_TABLE_ID = ? AND 
	B.VALUE (+)= A.DECISION_EXECUTE_TYPE AND 
	B.SEARCH_STRING (+)= 'DECISION_EXECUTE_TYPE'
ORDER BY 
	A.LINE
