SELECT 
	Z.DATA_D_ID as "id", 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.LOGICAL_NAME as "type", 
	B.LENGTH, 
	B.SCALE, 
	B.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "omit", 
	B.ENUM, 
	B.MINIMUM, 
	B.MAXIMUM
FROM 
	WEDGE_DAT_RECORD_D "Z", 
	WEDGE_DAT_TABLE_H "X", 
	WEDGE_DAT_DATA_D "A", 
	WEDGE_DAT_DATA_H "B", 
	WEDGE_DATA_CLASS "E", 
	WEDGE_NAME "C", 
	WEDGE_NAME "D"
WHERE 
	X.RECORD_H_ID = Z.HID AND 
	X.ID = ? AND 
	A.ID (+)= Z.DATA_D_ID AND 
	B.ID (+)= A.HID AND 
	E.ID (+)= B.TYPE AND 
	C.VALUE (+)= B.OMIT AND 
	C.SEARCH_STRING (+)= 'TRUE_OR_FALSE' AND 
	D.VALUE (+)= E.DATA_TYPE AND 
	D.SEARCH_STRING (+)= 'DATA_TYPE'
ORDER BY 
	Z.LINE
