SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO as "comment", 
	Z.PARAM, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.CLASS_NAME
FROM 
	WEDGE_CS_CRULE as Z
	Inner Join WEDGE_CS_CRULE_IN_RECORD AS A ON ( A.CRULE_ID = Z.ID  AND A.ITEM_ID = ?  )
	Left Outer Join WEDGE_BUSINESSRULE AS B ON ( B.ID = Z.BASECLASS_ID  )
ORDER BY 
	Z.PHYSICAL_NAME
