SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment"
FROM 
	WEDGE_CS_CALL_STRAN as C
	Inner Join WEDGE_CS_CALL_STRAN_IN_RECORD AS A ON ( A.CALL_STRAN_ID = C.ID  AND A.SERVERDATA_ID = ?  )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO
ORDER BY 
	C.PHYSICAL_NAME
