SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME
FROM 
	WEDGE_CS_FRAME as A
	Inner Join WEDGE_CS_CTRAN AS B ON ( B.FRAME_ID = A.ID  )
	Inner Join WEDGE_CS_STRAN AS C ON ( C.PHYSICAL_NAME = B.STRAN_PNAME  AND C.ID = ?  )
ORDER BY 
	A.PHYSICAL_NAME, 
	B.PHYSICAL_NAME
