SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.CLASS_NAME, 
	A.SEARCH_STRING
FROM 
	WEDGE_DAT_DLCP_H as Z
	Left Outer Join WEDGE_DLCP AS A ON ( A.ID = Z.COMM_ID  )
	Inner Join WEDGE_DAT_DLCP_D AS B ON ( B.HID = Z.ID  AND B.DATA_D_ID = ?  )
ORDER BY 
	Z.PHYSICAL_NAME
