SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.PHYSICAL_NAME as "user_error", 
	Z.ENABLE, 
	Z.MEMO
FROM 
	WEDGE_CS_EXECUTION_D as Z
	Left Outer Join WEDGE_CS_CRULE AS A ON ( A.ID = Z.CRULE_ID  )
	Left Outer Join WEDGE_CS_CTRAN AS B ON ( B.ID = Z.CTRAN_ID  )
	Left Outer Join WEDGE_CS_HTML_H AS D ON ( D.ID = Z.HTML_ID  )
	Left Outer Join WEDGE_CS_HTML_H AS E ON ( E.ID = Z.ERROR_HTML_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'GATEWAY_USER_ERROR' ) AS F ON ( F.VALUE = Z.USER_ERROR  )
WHERE 
	Z.HID = ?
ORDER BY 
	Z.LINE
